Name:             joni
Epoch:            1
Version:          2.1.20
Release:          %mkrel 1
Group:            Development/Java
Summary:          Java port of Oniguruma regexp library

License:          MIT
URL:              https://github.com/jruby/%{name}
Source0:          https://github.com/jruby/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jruby.jcodings:jcodings)
BuildRequires:  mvn(org.ow2.asm:asm)

BuildArch: noarch

%description
joni is a port of Oniguruma, a regular expressions library,
to java. It is used by jruby.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{name}-%{version}

find -name '*.class' -delete
find -name '*.jar' -delete

%mvn_file : %{name}

# Remove pointless parent pom
%pom_remove_parent

# Remove wagon extension
%pom_xpath_remove "pom:build/pom:extensions"

# Remove plugins not relevant for downstream RPM builds
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# fixes rpmlint warning about wrong-file-end-of-line-encoding
sed -i -e 's|\r||' test/org/joni/test/TestC.java
sed -i -e 's|\r||' test/org/joni/test/TestU.java
sed -i -e 's|\r||' test/org/joni/test/TestA.java

# Generate OSGi metadata by using bundle packaging
%pom_xpath_set pom:packaging "bundle"
%pom_add_plugin org.apache.felix:maven-bundle-plugin "<extensions>true</extensions>"

%build
# Work around xmvn bug with generating javadoc from modular projects: https://github.com/fedora-java/xmvn/issues/58
# Disable default javadoc generation with -j then generate separately with
# explicit invokation of javadoc mojo without the module definition present
%mvn_build -j
find -name module-info.java -delete
xmvn --batch-mode --offline org.fedoraproject.xmvn:xmvn-mojo:javadoc

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md

%files javadoc -f .mfiles-javadoc



%changelog
* Fri Sep 04 2020 daviddavid <daviddavid> 1:2.1.20-1.mga8
+ Revision: 1621902
- Update to a version that properly supports JDK 9+
- Modernise specfile
- Add OSGi metadata
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1:2.1.3-8.mga8
+ Revision: 1491361
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:2.1.3-7.mga7
+ Revision: 1263322
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 1:2.1.3-6.mga6
+ Revision: 1103922
- Update requires on objectweb-asm
- Second rebuild of the java stack

* Tue Mar 01 2016 neoclust <neoclust> 1:2.1.3-4.mga6
+ Revision: 981647
- First rebuild of the java stack
- sync package joni with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Feb 07 2015 pterjan <pterjan> 2.1.5-1.mga5
+ Revision: 814031
- Update to 2.1.5, jruby needs > 2.1.3

* Mon Jan 19 2015 daviddavid <daviddavid> 1.1.9-1.mga5
+ Revision: 811464
- Sync with fc21 (update to 1.1.9)
- fix Group

* Fri Oct 24 2014 umeabot <umeabot> 1.1.6-5.mga5
+ Revision: 792880
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.6-3.mga4
+ Revision: 506447
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-2.mga3
+ Revision: 355545
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 dmorgan <dmorgan> 1.1.6-1.mga2
+ Revision: 214951
- Clean spec file
- Clean spec file
+ gil <gil>
- update to 1.1.6
- imported package joni


* Sat Jun 11 2011 gil <gil> 1.1.3-0.%%mkrel
- initial rpm

